package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.RoleModuleAction;
import com.lightinit.hsdatashow.entity.RoleModuleActionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RoleModuleActionMapper {
    long countByExample(RoleModuleActionExample example);

    int deleteByExample(RoleModuleActionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RoleModuleAction record);

    int insertSelective(RoleModuleAction record);

    List<RoleModuleAction> selectByExample(RoleModuleActionExample example);

    RoleModuleAction selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RoleModuleAction record, @Param("example") RoleModuleActionExample example);

    int updateByExample(@Param("record") RoleModuleAction record, @Param("example") RoleModuleActionExample example);

    int updateByPrimaryKeySelective(RoleModuleAction record);

    int updateByPrimaryKey(RoleModuleAction record);
}